///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class LibraryData {
/*
{
  "id": 6,
  "title": "mao mao mao mao mao maomao mao mao mao mao maomao mao mao mao mao maomao mao mao mao mao maomao mao mao maomao mao mao mao mao maomao mao mao mao mao maomao mao mao mao mao maoomao mao mao mao mao mao",
  "imageUrl": null,
  "isLocked": false,
  "link": "https://www.youtube.com/watch?v=Ogjgbh10h9Y",
  "type": "VIDEO"
}
*/

  int? id;
  String? title;
  String? imageUrl;
  bool? isLocked;
  bool? isLeader;
  String? link;
  String? type;
  int? priority;
  String? privacy;
  int? modifiedDate;

  LibraryData({
    this.id,
    this.title,
    this.imageUrl,
    this.isLocked,
    this.link,
    this.isLeader,
    this.privacy,
    this.priority,
    this.type,
    this.modifiedDate,
  });
  LibraryData.fromJson(Map<String, dynamic> json) {
    id = json['id']?.toInt();
    title = json['title']?.toString();
    imageUrl = json['imageUrl']?.toString();
    isLocked = json['isLocked'];
    isLeader=json['isLeader'];
    privacy=json['privacy']?.toString();
    priority=json['priority'];
    link = json['link']?.toString();
    type = json['type']?.toString();
    modifiedDate = json['modifiedDate']?.toInt();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    data['title'] = title;
    data['imageUrl'] = imageUrl;
    data['isLocked'] = isLocked;
    data['isLeader']=isLeader;
    data['priority']=priority;
    data['privacy']=privacy;
    data['link'] = link;
    data['type'] = type;
    data['modifiedDate'] = modifiedDate;
    return data;
  }
}

class LibraryDataFetchDocuments {
/*
{
  "total": 4,
  "data": [
    {
      "id": 6,
      "title": "mao mao mao mao mao maomao mao mao mao mao maomao mao mao mao mao maomao mao mao mao mao maomao mao mao maomao mao mao mao mao maomao mao mao mao mao maomao mao mao mao mao maoomao mao mao mao mao mao",
      "imageUrl": null,
      "isLocked": false,
      "link": "https://www.youtube.com/watch?v=Ogjgbh10h9Y",
      "type": "VIDEO"
    }
  ]
}
*/

  int? total;
  String? nextToken;
  List<LibraryData>? data;

  LibraryDataFetchDocuments({
    this.total,
    this.nextToken,
    this.data,
  });
  LibraryDataFetchDocuments.fromJson(Map<String, dynamic> json) {
    total = json['total']?.toInt();
    nextToken = json['nextToken']?.toString();
    if (json['data'] != null) {
      final v = json['data'];
      final arr0 = <LibraryData>[];
      v.forEach((v) {
        arr0.add(LibraryData.fromJson(v));
      });
      this.data = arr0;
    }
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['total'] = total;
    data['nextToken'] = nextToken;
    if (this.data != null) {
      final v = this.data;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v.toJson());
      });
      data['data'] = arr0;
    }
    return data;
  }
}

class LibraryResponse {
/*
{
  "fetchDocuments": {
    "total": 4,
    "data": [
      {
        "id": 6,
        "title": "mao mao mao mao mao maomao mao mao mao mao maomao mao mao mao mao maomao mao mao mao mao maomao mao mao maomao mao mao mao mao maomao mao mao mao mao maomao mao mao mao mao maoomao mao mao mao mao mao",
        "imageUrl": null,
        "isLocked": false,
        "link": "https://www.youtube.com/watch?v=Ogjgbh10h9Y",
        "type": "VIDEO"
      }
    ]
  }
}
*/

  LibraryDataFetchDocuments? fetchDocumentsByType;

  LibraryResponse({
    this.fetchDocumentsByType,
  });
  LibraryResponse.fromJson(Map<String, dynamic> json) {
    fetchDocumentsByType = (json['fetchDocumentsByType'] != null)
        ? LibraryDataFetchDocuments.fromJson(json['fetchDocumentsByType'])
        : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (fetchDocumentsByType != null) {
      data['fetchDocumentsByType'] = fetchDocumentsByType!.toJson();
    }
    return data;
  }
}

class Library {
/*
{
  "data": {
    "fetchDocuments": {
      "total": 4,
      "data": [
        {
          "id": 6,
          "title": "mao mao mao mao mao maomao mao mao mao mao maomao mao mao mao mao maomao mao mao mao mao maomao mao mao maomao mao mao mao mao maomao mao mao mao mao maomao mao mao mao mao maoomao mao mao mao mao mao",
          "imageUrl": null,
          "isLocked": false,
          "link": "https://www.youtube.com/watch?v=Ogjgbh10h9Y",
          "type": "VIDEO"
        }
      ]
    }
  }
}
*/

  LibraryResponse? data;

  Library({
    this.data,
  });
  Library.fromJson(Map<String, dynamic> json) {
    data =
        (json['data'] != null) ? LibraryResponse.fromJson(json['data']) : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}
